Subject: RE: [Dime] RE: DCCA

From: "Patrik Teppo \(KA/EAB\)" <[email-masked]>
Date: Thu, 1 Mar 2007 07:43:32 +0100

Hi,
 
RFC 4006 section 8.17:
A client is not required to implement all the unit types, and it must
treat unknown or unsupported unit types in the answer message as an
incorrect CCA answer.  In this case, the client MUST terminate the
credit-control session and indicate in the Termination-Cause AVP reason
DIAMETER_BAD_ANSWER.
 
So the client must terminate if it can't handle the granted quota.
 
BR,
Patrik

________________________________

From: Liyaqatali [mailto:[email-masked]] 
Sent: den 28 februari 2007 14:52
To: Patrik Teppo (KA/EAB); Tolga Asveren
Cc: [email-masked]
Subject: Re: [Dime] RE: DCCA

There couple of scenarios.

According to the sec 4.2.1.1 of the test suite used as a reference for
the interop
(http://tools.ietf.org/html/draft-fajardo-dime-interop-test-suite-04),
in the first test case the client is not supposed to add
Requested-Service-Unit AVP  in the initial CCR. In this case the DCCA
server can send back a CCA and have, say, more than one unit types
included in Granted-Service-Unit AVP. 

And according to RFC 4006, if the client is does not know the cost of
the service it can request in terms of service events and if the client
requests in time and if the service context at the server says that both
Money and time are the supported unit types then the server might send
back a CCA with both time and money. 

Is there something that I am missing?

Regards,
Liyaqatali G Nadaf

Patrik Teppo (KA/EAB) wrote: 

	Hi all,
	
	If the DCC client is implemented to only handle cc-time then it
can't
	measure money and report back USU/CC-Money.
	
	The service-context should define which unit types that shall be
used
	and in the case below there is a configuration error for the
specific
	service-context.
	
	BR,
	Patrik 
	
	-----Original Message-----
	From: Tolga Asveren [mailto:[email-masked]] 
	Sent: den 26 februari 2007 17:35
	To: Liyaqatali; [email-masked]
	Subject: [Dime] RE: DCCA
	
	Hi Liyaqatali,
	
	In the scenario you described, I would expect the client to
report used
	units only in time. It does not have the knowledge to do the
translation
	between time and money.
	
	I couldn't think of a scenario, why the server would use both
cc-time
	and cc-time in the answer. Does anybody have any idea about
that? What
	could be the reason to do so?
	
	    Thanks,
	    Tolga
	
	-----Original Message-----
	From: Liyaqatali [mailto:[email-masked]]
	Sent: Friday, February 23, 2007 4:42 AM
	To: [email-masked]; Tolga Asveren
	Subject: DCCA

	Hi
	
	Couple of questions.
	In RFC 4006, sec 5.2 which states  "If several unit types are
sent in
	the Answer message, the credit-control client MUST handle each
unit type
	separately." What does it it actual mean to handle it
separately?
	
	Suppose the client requests some units in time but the server
grants
	both in time and money i.e. server adds cc-time and cc-money
avps in the
	granted service units AVP then how is the client suppose to
handle this?
	if client can understand only time then? Should the client
request and
	report used units  in both time and money or is it fine to
report in
	either ?
	
	I would really appreciate if you can help me out here.
	
	--
	Regards,
	Liyaqatali G Nadaf

	_______________________________________________
	DiME mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/dime

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime